Problème installation npm

Bonjour à tous,

Je suis le tuto pour installer Gladys sur mon raspberry (via l’image) pas de soucis jusque : npm install
erreur : cb() never called!
idem avec sudo npm install
idem en root

Salut. Peux tu nous donner quelque éléments en plus pour qu’on puisse t’aider:

  • quelle version de pi ?
  • quelle image, gladys v3, v4 ?

pi v3 B
et gladys 3.8.0

Je ne saurai pas t’aider pour cette erreur.

Par contre il existe une version plus récente de la v3 mais il faut passer par une installation manuelle. La méthode est expliquée ici : https://github.com/GladysAssistant/Gladys/tree/v3.14.0

A noter qu’avec le dev en cours sur la v4, la commande “git clone” indiquée dans la procédure n’est plus bonne. Il faut remplacer : git clone https://github.com/gladysassistant/gladys gladys && cd gladys
par
git clone -b v3.14.0 https://github.com/gladysassistant/gladys.git gladys

ainsi que mettre les droits qui vont bien sur le dossier gladys : sudo chown -R pi:pi ~/gladys
et ensuite mettre à jour npm : npm install npm@latest -g

Sinon la reste doit être encore valable.

Autre solution tu peux passer sur la v4 qui en cours de développement, il faut juste savoir que comme elle est en cours de dev il n’y a donc pas autant de module pour l’instant.

Dans mes souvenirs, Gladys v3 est compatible seulement avec nodejs v8.

pour toi il faut que je désinstalle la 3 et que je mette la 4?

je viens de m’apercevoir que j’ai une ligne :
under voltage detected
est ce que ca peut venir de ça ?

C’est un message classique constaté sur les Pi dû à ton alimentation, ca n’empêche pas de fonctionner. tu peux ne pas tenir compte de ce message.

La V3 n’aura plus d’amélioration car on migre progressivement sur le v4. A ce jour c’est encore une beta mais d’ici quelques semaines elle sortira plus largement et intégrera de gérer les équipements suivants :

  • Capteurs Xiaomi
  • Philips Hue
  • Afficher une caméra via RTSP
  • Sonoff
  • MQTT
  • la météo
  • et la possibilité de créer des scènes avec des déclencheurs.

Tu peux avoir un aperçu ici : https://demo.gladysassistant.com. Tu peux télécharger l’image de la V4 pour te faire ta propre idée. C’est super rapide à installer et les mises à jour ce feront toutes seules.

Si ceci répond tes besoins, passe en v4. Sinon je te conseille d’installer la v3 le temps qu’il y ai plus d’intégration de disponible.

quand j’affiche les pm2 logs :

Je dirais que tu as installé le module speak et qu’il te pose un problème. Tout fonctionnait sans celui-ci ?

Les logs ne montrent pas le reboot de gladys…

ok je recommence avec la version 4 de Gladys
quel outil de reconnaissance vocal me recommandez vous ?
le but est de contrôler mon système sonos à la voix dans un premier temps

Il n’y a pas de vocal pour le moment en v4